PQCObjectIdentifiers (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.pqc.asn1

## Interface PQCObjectIdentifiers

-     public interface PQCObjectIdentifiers

  PQC:

  { iso(1) identifier-organization(3) dod(6) internet(1) private(4) 1 8301 3 1 3 5 3 ... }

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ASN1ObjectIdentifier` | `gmss` 1.3.6.1.4.1.8301.3.1.3.3
    `static ASN1ObjectIdentifier` | `gmssWithSha1` 1.3.6.1.4.1.8301.3.1.3.3.1
    `static ASN1ObjectIdentifier` | `gmssWithSha224` 1.3.6.1.4.1.8301.3.1.3.3.2
    `static ASN1ObjectIdentifier` | `gmssWithSha256` 1.3.6.1.4.1.8301.3.1.3.3.3
    `static ASN1ObjectIdentifier` | `gmssWithSha384` 1.3.6.1.4.1.8301.3.1.3.3.4
    `static ASN1ObjectIdentifier` | `gmssWithSha512` 1.3.6.1.4.1.8301.3.1.3.3.5
    `static ASN1ObjectIdentifier` | `id_Dilithium3_ECDSA_brainpoolP256r1_SHA256`
    `static ASN1ObjectIdentifier` | `id_Dilithium3_ECDSA_P256_SHA256`
    `static ASN1ObjectIdentifier` | `id_Dilithium3_Ed25519`
    `static ASN1ObjectIdentifier` | `id_Dilithium3_RSA_PKCS15_SHA256` Explicit composite algorithms
    `static ASN1ObjectIdentifier` | `id_Dilithium5_ECDSA_brainpoolP384r1_SHA384`
    `static ASN1ObjectIdentifier` | `id_Dilithium5_ECDSA_P384_SHA384`
    `static ASN1ObjectIdentifier` | `id_Dilithium5_Ed448`
    `static ASN1ObjectIdentifier` | `id_Falcon512_ECDSA_brainpoolP256r1_SHA256`
    `static ASN1ObjectIdentifier` | `id_Falcon512_ECDSA_P256_SHA256`
    `static ASN1ObjectIdentifier` | `id_Falcon512_Ed25519`
    `static ASN1ObjectIdentifier` | `mcEliece` 1.3.6.1.4.1.8301.3.1.3.4.1
    `static ASN1ObjectIdentifier` | `mcElieceCca2` 1.3.6.1.4.1.8301.3.1.3.4.2
    `static ASN1ObjectIdentifier` | `mcElieceFujisaki`
    `static ASN1ObjectIdentifier` | `mcElieceKobara_Imai`
    `static ASN1ObjectIdentifier` | `mcEliecePointcheval`
    `static ASN1ObjectIdentifier` | `newHope`
    `static ASN1ObjectIdentifier` | `qTESLA` qTESLA
    `static ASN1ObjectIdentifier` | `qTESLA_p_I`
    `static ASN1ObjectIdentifier` | `qTESLA_p_III`
    `static ASN1ObjectIdentifier` | `rainbow` 1.3.6.1.4.1.8301.3.1.3.5.3.2
    `static ASN1ObjectIdentifier` | `rainbowWithSha1` 1.3.6.1.4.1.8301.3.1.3.5.3.2.1
    `static ASN1ObjectIdentifier` | `rainbowWithSha224` 1.3.6.1.4.1.8301.3.1.3.5.3.2.2
    `static ASN1ObjectIdentifier` | `rainbowWithSha256` 1.3.6.1.4.1.8301.3.1.3.5.3.2.3
    `static ASN1ObjectIdentifier` | `rainbowWithSha384` 1.3.6.1.4.1.8301.3.1.3.5.3.2.4
    `static ASN1ObjectIdentifier` | `rainbowWithSha512` 1.3.6.1.4.1.8301.3.1.3.5.3.2.5
    `static ASN1ObjectIdentifier` | `sphincs256`
    `static ASN1ObjectIdentifier` | `sphincs256_with_BLAKE512`
    `static ASN1ObjectIdentifier` | `sphincs256_with_SHA3_512`
    `static ASN1ObjectIdentifier` | `sphincs256_with_SHA512`
    `static ASN1ObjectIdentifier` | `xmss` XMSS
    `static ASN1ObjectIdentifier` | `xmss_mt` XMSS^MT
    `static ASN1ObjectIdentifier` | `xmss_mt_SHA256`
    `static ASN1ObjectIdentifier` | `xmss_mt_SHA256ph`
    `static ASN1ObjectIdentifier` | `xmss_mt_SHA512`
    `static ASN1ObjectIdentifier` | `xmss_mt_SHA512ph`
    `static ASN1ObjectIdentifier` | `xmss_mt_SHAKE128`
    `static ASN1ObjectIdentifier` | `xmss_mt_SHAKE128ph`
    `static ASN1ObjectIdentifier` | `xmss_mt_SHAKE256`
    `static ASN1ObjectIdentifier` | `xmss_mt_SHAKE256ph`
    `static ASN1ObjectIdentifier` | `xmss_mt_with_SHA256` Deprecated. use xmss_mt_SHA256ph
    `static ASN1ObjectIdentifier` | `xmss_mt_with_SHA512` Deprecated. use xmss_mt_SHA512ph
    `static ASN1ObjectIdentifier` | `xmss_mt_with_SHAKE128` Deprecated. use xmss_mt_SHAKE128ph
    `static ASN1ObjectIdentifier` | `xmss_mt_with_SHAKE256` Deprecated. use xmss_mt_SHAKE256ph
    `static ASN1ObjectIdentifier` | `xmss_SHA256`
    `static ASN1ObjectIdentifier` | `xmss_SHA256ph`
    `static ASN1ObjectIdentifier` | `xmss_SHA512`
    `static ASN1ObjectIdentifier` | `xmss_SHA512ph`
    `static ASN1ObjectIdentifier` | `xmss_SHAKE128`
    `static ASN1ObjectIdentifier` | `xmss_SHAKE128ph`
    `static ASN1ObjectIdentifier` | `xmss_SHAKE256`
    `static ASN1ObjectIdentifier` | `xmss_SHAKE256ph`
    `static ASN1ObjectIdentifier` | `xmss_with_SHA256` Deprecated. use xmss_SHA256ph
    `static ASN1ObjectIdentifier` | `xmss_with_SHA512` Deprecated. use xmss_SHA512ph
    `static ASN1ObjectIdentifier` | `xmss_with_SHAKE128` Deprecated. use xmss_SHAKE128ph
    `static ASN1ObjectIdentifier` | `xmss_with_SHAKE256` Deprecated. use xmss_SHAKE256ph

- - ### Field Detail

    - #### rainbow

          static final ASN1ObjectIdentifier rainbow

      1.3.6.1.4.1.8301.3.1.3.5.3.2

    - #### rainbowWithSha1

          static final ASN1ObjectIdentifier rainbowWithSha1

      1.3.6.1.4.1.8301.3.1.3.5.3.2.1

    - #### rainbowWithSha224

          static final ASN1ObjectIdentifier rainbowWithSha224

      1.3.6.1.4.1.8301.3.1.3.5.3.2.2

    - #### rainbowWithSha256

          static final ASN1ObjectIdentifier rainbowWithSha256

      1.3.6.1.4.1.8301.3.1.3.5.3.2.3

    - #### rainbowWithSha384

          static final ASN1ObjectIdentifier rainbowWithSha384

      1.3.6.1.4.1.8301.3.1.3.5.3.2.4

    - #### rainbowWithSha512

          static final ASN1ObjectIdentifier rainbowWithSha512

      1.3.6.1.4.1.8301.3.1.3.5.3.2.5

    - #### gmss

          static final ASN1ObjectIdentifier gmss

      1.3.6.1.4.1.8301.3.1.3.3

    - #### gmssWithSha1

          static final ASN1ObjectIdentifier gmssWithSha1

      1.3.6.1.4.1.8301.3.1.3.3.1

    - #### gmssWithSha224

          static final ASN1ObjectIdentifier gmssWithSha224

      1.3.6.1.4.1.8301.3.1.3.3.2

    - #### gmssWithSha256

          static final ASN1ObjectIdentifier gmssWithSha256

      1.3.6.1.4.1.8301.3.1.3.3.3

    - #### gmssWithSha384

          static final ASN1ObjectIdentifier gmssWithSha384

      1.3.6.1.4.1.8301.3.1.3.3.4

    - #### gmssWithSha512

          static final ASN1ObjectIdentifier gmssWithSha512

      1.3.6.1.4.1.8301.3.1.3.3.5

    - #### mcEliece

          static final ASN1ObjectIdentifier mcEliece

      1.3.6.1.4.1.8301.3.1.3.4.1

    - #### mcElieceCca2

          static final ASN1ObjectIdentifier mcElieceCca2

      1.3.6.1.4.1.8301.3.1.3.4.2

    - #### mcElieceFujisaki

          static final ASN1ObjectIdentifier mcElieceFujisaki

    - #### mcEliecePointcheval

          static final ASN1ObjectIdentifier mcEliecePointcheval

    - #### mcElieceKobara_Imai

          static final ASN1ObjectIdentifier mcElieceKobara_Imai

    - #### sphincs256

          static final ASN1ObjectIdentifier sphincs256

    - #### sphincs256_with_BLAKE512

          static final ASN1ObjectIdentifier sphincs256_with_BLAKE512

    - #### sphincs256_with_SHA512

          static final ASN1ObjectIdentifier sphincs256_with_SHA512

    - #### sphincs256_with_SHA3_512

          static final ASN1ObjectIdentifier sphincs256_with_SHA3_512

    - #### newHope

          static final ASN1ObjectIdentifier newHope

    - #### xmss

          static final ASN1ObjectIdentifier xmss

      XMSS

    - #### xmss_SHA256ph

          static final ASN1ObjectIdentifier xmss_SHA256ph

    - #### xmss_SHA512ph

          static final ASN1ObjectIdentifier xmss_SHA512ph

    - #### xmss_SHAKE128ph

          static final ASN1ObjectIdentifier xmss_SHAKE128ph

    - #### xmss_SHAKE256ph

          static final ASN1ObjectIdentifier xmss_SHAKE256ph

    - #### xmss_SHA256

          static final ASN1ObjectIdentifier xmss_SHA256

    - #### xmss_SHA512

          static final ASN1ObjectIdentifier xmss_SHA512

    - #### xmss_SHAKE128

          static final ASN1ObjectIdentifier xmss_SHAKE128

    - #### xmss_SHAKE256

          static final ASN1ObjectIdentifier xmss_SHAKE256

    - #### xmss_mt

          static final ASN1ObjectIdentifier xmss_mt

      XMSS^MT

    - #### xmss_mt_SHA256ph

          static final ASN1ObjectIdentifier xmss_mt_SHA256ph

    - #### xmss_mt_SHA512ph

          static final ASN1ObjectIdentifier xmss_mt_SHA512ph

    - #### xmss_mt_SHAKE128ph

          static final ASN1ObjectIdentifier xmss_mt_SHAKE128ph

    - #### xmss_mt_SHAKE256ph

          static final ASN1ObjectIdentifier xmss_mt_SHAKE256ph

    - #### xmss_mt_SHA256

          static final ASN1ObjectIdentifier xmss_mt_SHA256

    - #### xmss_mt_SHA512

          static final ASN1ObjectIdentifier xmss_mt_SHA512

    - #### xmss_mt_SHAKE128

          static final ASN1ObjectIdentifier xmss_mt_SHAKE128

    - #### xmss_mt_SHAKE256

          static final ASN1ObjectIdentifier xmss_mt_SHAKE256

    - #### xmss_with_SHA256

          @Deprecated
          static final ASN1ObjectIdentifier xmss_with_SHA256

      Deprecated. use xmss_SHA256ph

    - #### xmss_with_SHA512

          @Deprecated
          static final ASN1ObjectIdentifier xmss_with_SHA512

      Deprecated. use xmss_SHA512ph

    - #### xmss_with_SHAKE128

          @Deprecated
          static final ASN1ObjectIdentifier xmss_with_SHAKE128

      Deprecated. use xmss_SHAKE128ph

    - #### xmss_with_SHAKE256

          @Deprecated
          static final ASN1ObjectIdentifier xmss_with_SHAKE256

      Deprecated. use xmss_SHAKE256ph

    - #### xmss_mt_with_SHA256

          @Deprecated
          static final ASN1ObjectIdentifier xmss_mt_with_SHA256

      Deprecated. use xmss_mt_SHA256ph

    - #### xmss_mt_with_SHA512

          @Deprecated
          static final ASN1ObjectIdentifier xmss_mt_with_SHA512

      Deprecated. use xmss_mt_SHA512ph

    - #### xmss_mt_with_SHAKE128

          @Deprecated
          static final ASN1ObjectIdentifier xmss_mt_with_SHAKE128

      Deprecated. use xmss_mt_SHAKE128ph

    - #### xmss_mt_with_SHAKE256

          @Deprecated
          static final ASN1ObjectIdentifier xmss_mt_with_SHAKE256

      Deprecated. use xmss_mt_SHAKE256ph

    - #### qTESLA

          static final ASN1ObjectIdentifier qTESLA

      qTESLA

    - #### qTESLA_p_I

          static final ASN1ObjectIdentifier qTESLA_p_I

    - #### qTESLA_p_III

          static final ASN1ObjectIdentifier qTESLA_p_III

    - #### id_Dilithium3_RSA_PKCS15_SHA256

          static final ASN1ObjectIdentifier id_Dilithium3_RSA_PKCS15_SHA256

      Explicit composite algorithms

    - #### id_Dilithium3_ECDSA_P256_SHA256

          static final ASN1ObjectIdentifier id_Dilithium3_ECDSA_P256_SHA256

    - #### id_Dilithium3_ECDSA_brainpoolP256r1_SHA256

          static final ASN1ObjectIdentifier id_Dilithium3_ECDSA_brainpoolP256r1_SHA256

    - #### id_Dilithium3_Ed25519

          static final ASN1ObjectIdentifier id_Dilithium3_Ed25519

    - #### id_Dilithium5_ECDSA_P384_SHA384

          static final ASN1ObjectIdentifier id_Dilithium5_ECDSA_P384_SHA384

    - #### id_Dilithium5_ECDSA_brainpoolP384r1_SHA384

          static final ASN1ObjectIdentifier id_Dilithium5_ECDSA_brainpoolP384r1_SHA384

    - #### id_Dilithium5_Ed448

          static final ASN1ObjectIdentifier id_Dilithium5_Ed448

    - #### id_Falcon512_ECDSA_P256_SHA256

          static final ASN1ObjectIdentifier id_Falcon512_ECDSA_P256_SHA256

    - #### id_Falcon512_ECDSA_brainpoolP256r1_SHA256

          static final ASN1ObjectIdentifier id_Falcon512_ECDSA_brainpoolP256r1_SHA256

    - #### id_Falcon512_Ed25519

          static final ASN1ObjectIdentifier id_Falcon512_Ed25519